Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.util
Class Memory

    java.lang.Object
      com.vividsolutions.jts.util.Memory

    public class Memory

extends java.lang.Object

Utility functions to report memory usage.

Author:
  mbdavis

Field Summary
`static double` | `GB`
`static double` | `KB`
`static double` | `MB`

Constructor Summary
`Memory()`

Method Summary
`static java.lang.String` | `allString()`
`static java.lang.String` | `format(long mem)`
`static long` | `free()`
`static java.lang.String` | `freeString()`
`static double` | `round(double d)`
`static long` | `total()`
`static java.lang.String` | `totalString()`
`static long` | `used()`
`static java.lang.String` | `usedString()`
`static java.lang.String` | `usedTotalString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KB

    public static final double KB

See Also:
  Constant Field Values

### MB

    public static final double MB

See Also:
  Constant Field Values

### GB

    public static final double GB

See Also:
  Constant Field Values

Constructor Detail

### Memory

    public Memory()

Method Detail

### used

    public static long used()

### usedString

    public static java.lang.String usedString()

### free

    public static long free()

### freeString

    public static java.lang.String freeString()

### total

    public static long total()

### totalString

    public static java.lang.String totalString()

### usedTotalString

    public static java.lang.String usedTotalString()

### allString

    public static java.lang.String allString()

### format

    public static java.lang.String format(long mem)

### round

    public static double round(double d)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD